Any browser can support Socks5 proxy with user/password authentication

Hello everyone,

I have tried IE6, IE8, Firefox 6/7, Chrome 4 and found that all of them can not support Socks5 proxy with user/password authentication.
After my test, I get some points as bellow:

1. As a default setting, IE uses Socks4 which can not support user/password authentication.
2. Chrome uses IE's proxy settings.
3. Firefox can support both Socks4 and Socks5 but if Socks5, it still can not support user/password authentication.

I know with some proxy tools like proxifier, freecap, I can make it but what if without such proxy tools? Anyone can help?

I build my own proxy server with CCProxy on WinXP Pro SP3, and the client computers are WinXP Pro SP3 and Win7 Ultimate. Any help or suggestions will be appreciated!
2 answers Last reply
More about browser support socks5 proxy user password authentication
  1. I think you could head to Bugzilla and request the feature.
  2. jackmj said:
    Hello everyone,

    I have tried IE6, IE8, Firefox 6/7, Chrome 4 and found that all of them can not support Socks5 proxy with user/password authentication.
    After my test, I get some points as bellow:

    1. As a default setting, IE uses Socks4 which can not support user/password authentication.
    2. Chrome uses IE's proxy settings.
    3. Firefox can support both Socks4 and Socks5 but if Socks5, it still can not support user/password authentication.

    I know with some proxy tools like proxifier, freecap, I can make it but what if without such proxy tools? Anyone can help?

    I build my own proxy server with CCProxy on WinXP Pro SP3, and the client computers are WinXP Pro SP3 and Win7 Ultimate. Any help or suggestions will be appreciated!


    There are 2 Browsers I have found that support Socks5a.

    Arora

    Maxthon

    Hope this is helpful
Ask a new question

Read More

Internet Applications Support Proxy Authentication Apps